# __RoadSection.py_____________________________________________________
from ASGNode import *

from ATOM3Type import *

from ATOM3String import *
from ATOM3Integer import *
from graph_RoadSection import *
class RoadSection(ASGNode, ATOM3Type):

   def __init__(self, parent = None):
      ASGNode.__init__(self)
      ATOM3Type.__init__(self)
      self.graphClass_ = graph_RoadSection
      self.parent = parent
      self.name=ATOM3String('')
      self.num_vehicles=ATOM3Integer(0)
      self.generatedAttributes = {'name': ('ATOM3String', ),
                                  'num_vehicles': ('ATOM3Integer', )      }
      self.realOrder = ['name','num_vehicles']
      self.directEditing = [1,1]
   def clone(self):
      cloneObject = RoadSection( self.parent )
      for atr in self.realOrder:
         cloneObject.setAttrValue(atr, self.getAttrValue(atr).clone() )
      ASGNode.cloneActions(self, cloneObject)

      return cloneObject
   def copy(self, other):
      ATOM3Type.copy(self, other)
      for atr in self.realOrder:
         self.setAttrValue(atr, other.getAttrValue(atr) )
      ASGNode.copy(self, other)

   def preCondition (self, actionID, * params):
      if self.graphObject_:
         return self.graphObject_.preCondition(actionID, params)
      else: return None
   def postCondition (self, actionID, * params):
      if self.graphObject_:
         return self.graphObject_.postCondition(actionID, params)
      else: return None


