from graphEntity          import *
from GraphicalForm   import *
from ATOM3Constraint import *

class graph_Capacity(graphEntity):

    def __init__(self, x, y, semObject = None):
        self.semanticObject = semObject
        self.sizeX, self.sizeY = 79, 32
        graphEntity.__init__(self, x, y)
        self.ChangesAtRunTime = 0
        self.constraintList = []
        if self.semanticObject: atribs = self.semanticObject.attributesToDraw()
        else: atribs = None
        self.graphForms = []

    def DrawObject(self, drawing, showGG = 0):
        self.dc = drawing
        if showGG and self.semanticObject: self.drawGGLabel(drawing)
        h = drawing.create_oval(self.translate([32.999999999999986, 11.0, 32.999999999999986, 11.0]), tags = (self.tag, "connector"), stipple= '', width= '1.0', outline= 'black', fill= 'red')
        self.connectors.append(h)
        h = drawing.create_oval(self.translate([21.0, 1.0, 43.999999999999986, 21.999999999999986]), tags = self.tag, stipple= '', width= '1.0', outline= 'red', fill= 'white')
        self.gf1 = GraphicalForm(drawing, h, "gf1")
        self.graphForms.append(self.gf1)
        if self.semanticObject: drawText = self.semanticObject.capacity.toString(25,5)
        else: drawText = "<capacity>"
        h = drawing.create_text(self.translate([32.0, 10.0]), tags = self.tag, text = drawText, stipple= '', fill= 'blue', width= '0', font= 'Helvetica -12', anchor= 'center', justify= 'left')
        self.attr_display["capacity"] = h
        self.gf2 = GraphicalForm(drawing, h, "gf2")
        self.graphForms.append(self.gf2)
        if self.semanticObject: drawText = self.semanticObject.name.toString(25,5)
        else: drawText = "<name>"
        h = drawing.create_text(self.translate([56.0, 25.0]), tags = self.tag, text = drawText, stipple= '', fill= 'blue', width= '0', font= 'Helvetica -12', anchor= 'center', justify= 'left')
        self.attr_display["name"] = h
        self.gf3 = GraphicalForm(drawing, h, "gf3")
        self.graphForms.append(self.gf3)


    def postCondition (self, actionID, * params):
       return None

    def preCondition (self, actionID, * params):
       return None


new_class = graph_Capacity
