from graphEntity          import *
from GraphicalForm   import *
from ATOM3Constraint import *

class graph_RoadSection(graphEntity):

    def __init__(self, x, y, semObject = None):
        self.semanticObject = semObject
        self.sizeX, self.sizeY = 93, 31
        graphEntity.__init__(self, x, y)
        self.ChangesAtRunTime = 0
        self.constraintList = []
        if self.semanticObject: atribs = self.semanticObject.attributesToDraw()
        else: atribs = None
        self.graphForms = []

    def DrawObject(self, drawing, showGG = 0):
        self.dc = drawing
        if showGG and self.semanticObject: self.drawGGLabel(drawing)
        h = drawing.create_line(self.translate([35.0, 13.0, 44.999999999999993, 13.0]), tags = self.tag, stipple= '', splinesteps= '12', arrowshape= '8 10 3', smooth= 0, joinstyle= 'round', width= '3.0', arrow= 'none', capstyle= 'butt', fill= 'black')
        self.gf0 = GraphicalForm(drawing, h, "gf0")
        self.graphForms.append(self.gf0)
        h = drawing.create_line(self.translate([39.0, 7.0, 39.0, 19.999999999999996]), tags = self.tag, stipple= '', splinesteps= '12', arrowshape= '8 10 3', smooth= 0, joinstyle= 'round', width= '3.0', arrow= 'none', capstyle= 'butt', fill= 'black')
        self.gf2 = GraphicalForm(drawing, h, "gf2")
        self.graphForms.append(self.gf2)
        h = drawing.create_oval(self.translate([40.0, 13.0, 40.0, 13.0]), tags = (self.tag, "connector"), stipple= '', width= '1.0', outline= 'black', fill= 'red')
        self.connectors.append(h)
        if self.semanticObject: drawText = self.semanticObject.num_vehicles.toString(25,5)
        else: drawText = "<num_vehicles>"
        h = drawing.create_text(self.translate([46.0, 7.0]), tags = self.tag, text = drawText, stipple= '', fill= 'blue', width= '0', font= 'Helvetica -12', anchor= 'center', justify= 'left')
        self.attr_display["num_vehicles"] = h
        self.gf2 = GraphicalForm(drawing, h, "gf2")
        self.graphForms.append(self.gf2)
        if self.semanticObject: drawText = self.semanticObject.name.toString(25,5)
        else: drawText = "<name>"
        h = drawing.create_text(self.translate([65.0, 24.0]), tags = self.tag, text = drawText, stipple= '', fill= 'blue', width= '0', font= 'Helvetica -12', anchor= 'center', justify= 'left')
        self.attr_display["name"] = h
        self.gf3 = GraphicalForm(drawing, h, "gf3")
        self.graphForms.append(self.gf3)


    def postCondition (self, actionID, * params):
       return None

    def preCondition (self, actionID, * params):
       return None


new_class = graph_RoadSection
