from graphEntity          import *
from GraphicalForm   import *
from ATOM3Constraint import *

class graph_Source(graphEntity):

    def __init__(self, x, y, semObject = None):
        self.semanticObject = semObject
        self.sizeX, self.sizeY = 93, 37
        graphEntity.__init__(self, x, y)
        self.ChangesAtRunTime = 0
        self.constraintList = []
        if self.semanticObject: atribs = self.semanticObject.attributesToDraw()
        else: atribs = None
        self.graphForms = []

    def DrawObject(self, drawing, showGG = 0):
        self.dc = drawing
        if showGG and self.semanticObject: self.drawGGLabel(drawing)
        h = drawing.create_oval(self.translate([27.0, 20.0, 27.0, 20.0]), tags = (self.tag, "connector"), stipple= '', width= '1.0', outline= 'black', fill= 'red')
        self.connectors.append(h)
        h = drawing.create_oval(self.translate([15.0, 9.0, 36.0, 28.0]), tags = self.tag, stipple= '', width= '2.0', outline= 'black', fill= 'blue')
        self.gf0 = GraphicalForm(drawing, h, "gf0")
        self.graphForms.append(self.gf0)
        if self.semanticObject: drawText = self.semanticObject.num_vehicles.toString(25,5)
        else: drawText = "<num_vehicles>"
        h = drawing.create_text(self.translate([46.0, 7.0]), tags = self.tag, text = drawText, stipple= '', fill= 'blue', width= '0', font= 'Helvetica -12', anchor= 'center', justify= 'left')
        self.attr_display["num_vehicles"] = h
        self.gf2 = GraphicalForm(drawing, h, "gf2")
        self.graphForms.append(self.gf2)
        if self.semanticObject: drawText = self.semanticObject.name.toString(25,5)
        else: drawText = "<name>"
        h = drawing.create_text(self.translate([57.0, 27.0]), tags = self.tag, text = drawText, stipple= '', fill= 'blue', width= '0', font= 'Helvetica -12', anchor= 'center', justify= 'left')
        self.attr_display["name"] = h
        self.gf1 = GraphicalForm(drawing, h, "gf1")
        self.graphForms.append(self.gf1)


    def postCondition (self, actionID, * params):
       return None

    def preCondition (self, actionID, * params):
       return None


new_class = graph_Source
