# __road_section.py_____________________________________________________
from ASGNode import *

from ATOM3Type import *

from ATOM3Enum import *
from ATOM3Port import *
from graph_road_section import *
class road_section(ASGNode, ATOM3Type):

   def __init__(self, parent = None):
      ASGNode.__init__(self)
      ATOM3Type.__init__(self)
      self.graphClass_ = graph_road_section
      self.parent = parent
      self.section_type=ATOM3Enum(['TBD', 'SRC', 'SINK', 'SECTION'], 0, 0)
      self.north_port = []
      self.east_port = []
      self.south_port = []
      self.west_port = []
      self.generatedAttributes = {'section_type': ('ATOM3Enum', )      }
      self.realOrder = ['section_type']
      self.directEditing = [1,1,1,1,1]
   def clone(self):
      cloneObject = road_section( self.parent )
      for atr in self.realOrder:
         cloneObject.setAttrValue(atr, self.getAttrValue(atr).clone() )
      ASGNode.cloneActions(self, cloneObject)

      return cloneObject
   def copy(self, other):
      ATOM3Type.copy(self, other)
      for atr in self.realOrder:
         self.setAttrValue(atr, other.getAttrValue(atr) )
      ASGNode.copy(self, other)

   def preCondition (self, actionID, * params):
      if self.graphObject_:
         return self.graphObject_.preCondition(actionID, params)
      else: return None
   def postCondition (self, actionID, * params):
      if self.graphObject_:
         return self.graphObject_.postCondition(actionID, params)
      else: return None


